This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 156755 - esd causes kernel oops
esd causes kernel oops
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-03 19:48 EDT by Mike Duigou
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 22:51:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Duigou 2005-05-03 19:48:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
I'm running thunderbird while playing wmv audio using mplayer. When Thunderbird tries to generate a "new mail" chime it dies. Running thunderbird while not running mplayer does not always fix the problem. Disabling the Thunderbird "new mail" notification does resolve the problem.

kernel-2.6.10-1.770_FC3 (for the silly fglrx module)
alsa-lib-1.0.9rc2-1
thunderbird-1.0.2-1
alsa-utils-1.0.9rc2-1
esound-0.2.35-4

cat /proc/asound/cards :
0 [V8237          ]: VIA8237 - VIA 8237
                     VIA 8237 with ALC850 at 0xd800, irq 5



Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Playing audio stream using mplayer (www.cbc.ca/audio.html) content is windows media audio (wmv)
2. Thunderbird tries to play incoming mail notification (using a PCM 16kbit .wav /usr/share/sounds/email.wav) AUDIO: 44100 Hz, 1 ch, 16 bit (0x10), ratio: 88200->88200 (705.6 kbit)
3. oops.
  

Actual Results:  Thunderbird crashes and the System log contains:

May  3 14:48:25 cataclypse kernel: Oops: 0002 [#50]
May  3 14:48:25 cataclypse kernel: Modules linked in: fglrx(U) parport_pc lp parport autofs4 dm_mod video button battery ac md5 ipv6 ohci1394 ieee1394 joydev uhci_hcd ehci_hcd shpchp i2c_viapro i2c_core snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_via82xx snd_ac97_codec snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore sk98lin ext3 jbd raid0 sata_via libata sd_mod scsi_mod
May  3 14:48:25 cataclypse kernel: CPU:    0
May  3 14:48:25 cataclypse kernel: EIP:    0060:[<c01d936c>]    Tainted: P      VLI
May  3 14:48:25 cataclypse kernel: EFLAGS: 00010212   (2.6.10-1.770_FC3) 
May  3 14:48:25 cataclypse kernel: EIP is at memcpy+0x14/0x2b
May  3 14:48:25 cataclypse kernel: eax: 00000004   ebx: 00000000   ecx: 00000004   edx: 00000010
May  3 14:48:25 cataclypse kernel: esi: f7963f1c   edi: 00000000   ebp: bfe3b9b0   esp: f7963ef8
May  3 14:48:25 cataclypse kernel: ds: 007b   es: 007b   ss: 0068
May  3 14:48:25 cataclypse kernel: Process esd (pid: 3622, threadinfo=f7963000 task=f611e620)
May  3 14:48:25 cataclypse kernel: Stack: f44fa100 f44fa100 f44fa100 f7963f1c ffffffea f88f493a f7932e00 f44fa100 
May  3 14:48:25 cataclypse kernel:        f88f566b 00000006 00000000 00000000 00000000 00000005 00000001 00000000 
May  3 14:48:25 cataclypse kernel:        00000000 00008002 00000000 00000000 00000000 00000000 00000000 00000000 
May  3 14:48:25 cataclypse kernel: Call Trace:
May  3 14:48:25 cataclypse kernel:  [<f88f493a>] snd_timer_user_append_to_tqueue+0x2c/0x32 [snd_timer]
May  3 14:48:25 cataclypse kernel:  [<f88f566b>] snd_timer_user_params+0x26c/0x2b8 [snd_timer]
May  3 14:48:25 cataclypse kernel:  [<f88f59b6>] snd_timer_user_ioctl+0x16d/0x199 [snd_timer]
May  3 14:48:25 cataclypse kernel:  [<c017400d>] sys_ioctl+0x1d0/0x1eb
May  3 14:48:25 cataclypse kernel:  [<c0103443>] syscall_call+0x7/0xb
May  3 14:48:25 cataclypse kernel: Code: ff 21 e2 3b 42 18 73 06 8b 50 fd 31 c0 c3 31 d2 b8 f2 ff ff ff c3 90 57 56 89 d6 89 ca 53 53 53 89 c3 89 c8 c1 e8 02 89 df 89 c1 <f3> a5 f6 c2 02 74 02 66 a5 f6 c2 01 74 01 a4 5a 89 d8 59 5b 5e 
May  3 14:48:25 cataclypse kernel:  <1>Unable to handle kernel NULL pointer dereference at virtual address 00000000
May  3 14:48:25 cataclypse kernel:  printing eip:
May  3 14:48:25 cataclypse kernel: c01d936c
May  3 14:48:25 cataclypse kernel: *pde = 340d7067


Expected Results:  Pleasent chiming sound.

Additional info:

Not sure what additional info you might need. Will respond to any request for more info. Tired of restarting Thunderbird and losing half composed emails.
Comment 1 Matthias Clasen 2006-11-26 22:51:08 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.